Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview
Interface PeerReviewConstants

All Superinterfaces:
  StatusConstants

All Known Subinterfaces:
  AuditProtocol<Handle,Identifier>, AuthenticatorPushProtocol<Handle,Identifier>, Evidence, EvidenceTool<Handle,Identifier>, IdentityTransport<Handle,Identifier>, PeerInfoStore<Handle,Identifier>, PeerReview<Handle,Identifier>, PeerReviewMessage, SecureHistory, StatementProtocol<Handle,Identifier>, Verifier<Handle>

All Known Implementing Classes:
  AccusationMessage, AckMessage, AuditProtocolImpl, AuditResponse, AuthenticatorPushProtocolImpl, AuthPushMessage, AuthRequest, AuthResponse, BasicEntryDeserializer, Basics, ChallengeAudit, ChallengeHashPolicy, ChallengeMessage, ChallengeResponseProtocolImpl, CommitmentProtocolImpl, EvidenceSerializerImpl, EvidenceToolImpl, EvidenceTransferProtocolImpl, EvtAck, EvtInit, EvtRecv, EvtSend, EvtSendSign, EvtSign, HistoryEvent, IdentityTransportLayerImpl, MyEntryDeserializer, OutgoingUserDataMessage, PeerInfoRecord, PeerInfoStoreImpl, PeerReviewImpl, PRInconsistent1.ForkingSecureHistory, ProofInconsistent, ProofNonconformant, RecordLayer, RecordSocket, ReplayLayer, ReplayVerifier, ResponseMessage, SecureHistoryFactoryImpl, SecureHistoryImpl, Statement, StatementProtocolImpl, UserDataMessage, VerifierImpl

    public interface PeerReviewConstants

extends StatusConstants

Field Summary
`static int` | `AUTH_CACHE_INTERVAL`
`static int` | `CERT_MISSING`
`static byte` | `CHAL_AUDIT`
`static byte` | `CHAL_SEND`
`static long` | `DEFAULT_AUDIT_INTERVAL_MILLIS`
`static long` | `DEFAULT_AUTH_PUSH_INTERVAL_MILLIS`
`static long` | `DEFAULT_CHECKPOINT_INTERVAL_MILLIS`
`static int` | `DEFAULT_LOG_DOWNLOAD_TIMEOUT`
`static long` | `DEFAULT_TIME_TOLERANCE_MILLIS`
`static short` | `EVT_ACK`
`static short` | `EVT_CHECKPOINT`
`static short` | `EVT_CHOOSE_Q`
`static short` | `EVT_CHOOSE_RAND`
`static short` | `EVT_INIT`
`static short` | `EVT_MAX_RESERVED`
`static short` | `EVT_MAX_SOCKET_EVT`
`static short` | `EVT_MIN_SOCKET_EVT`
`static short` | `EVT_RECV`
`static short` | `EVT_SEND`
`static short` | `EVT_SENDSIGN`
`static short` | `EVT_SIGN`
`static short` | `EVT_SOCKET_CAN_READ`
`static short` | `EVT_SOCKET_CAN_RW`
`static short` | `EVT_SOCKET_CAN_WRITE`
`static short` | `EVT_SOCKET_CLOSE`
`static short` | `EVT_SOCKET_CLOSED`
`static short` | `EVT_SOCKET_EXCEPTION`
`static short` | `EVT_SOCKET_OPEN_INCOMING`
`static short` | `EVT_SOCKET_OPEN_OUTGOING`
`static short` | `EVT_SOCKET_OPENED_OUTGOING`
`static short` | `EVT_SOCKET_READ`
`static short` | `EVT_SOCKET_SHUTDOWN_OUTPUT`
`static short` | `EVT_SOCKET_WRITE`
`static short` | `EVT_VRF`
`static short` | `EX_TYPE_ClosedChannel`
`static short` | `EX_TYPE_IO`
`static short` | `EX_TYPE_Unknown`
`static byte` | `FLAG_FULL_MESSAGES_ALL`
`static byte` | `FLAG_FULL_MESSAGES_SENDER`
`static byte` | `FLAG_INCLUDE_CHECKPOINT`
`static int` | `INVALID`
`static int` | `INVESTIGATION_INTERVAL_MILLIS`
`static long` | `MAINTENANCE_INTERVAL_MILLIS`
`static int` | `MAX_ACTIVE_AUDITS`
`static int` | `MAX_ACTIVE_INVESTIGATIONS`
`static int` | `MAX_ENTRIES_BETWEEN_CHECKPOINTS`
`static int` | `MAX_STATUS_INFO`
`static int` | `MAX_WITNESSED_NODES`
`static short` | `MSG_ACCUSATION`
`static short` | `MSG_ACK`
`static short` | `MSG_AUTHPUSH`
`static short` | `MSG_AUTHREQ`
`static short` | `MSG_AUTHRESP`
`static short` | `MSG_CHALLENGE`
`static short` | `MSG_RESPONSE`
`static short` | `MSG_USERDATA`
`static short` | `MSG_USERDGRAM`
`static int` | `NO_CERTIFICATE`
`static int` | `PROGRESS_INTERVAL_MILLIS`
`static byte` | `PROOF_INCONSISTENT`
`static byte` | `PROOF_NONCONFORMANT`
`static byte` | `RESP_AUDIT`
`static byte` | `RESP_SEND`
`static int` | `SIGNATURE_BAD`
`static int` | `SIGNATURE_OK`
`static int` | `STATE_SEND_AUDIT`
`static int` | `STATE_WAIT_FOR_LOG`
`static int` | `TI_AUTH_PUSH`
`static int` | `TI_CHECKPOINT`
`static int` | `TI_MAINTENANCE`
`static int` | `TI_MAKE_PROGRESS`
`static int` | `TI_MAX_RESERVED`
`static int` | `TI_START_AUDITS`
`static int` | `TI_STATUS_INFO`
`static int` | `VALID` Enum for EvidenceTool

Fields inherited from interface org.mpisws.p2p.transport.peerreview.StatusConstants
`STATUS_EXPOSED, STATUS_SUSPECTED, STATUS_TRUSTED`

Field Detail

### EVT_SEND

    static final short EVT_SEND

See Also:
  Constant Field Values

### EVT_RECV

    static final short EVT_RECV

See Also:
  Constant Field Values

### EVT_SIGN

    static final short EVT_SIGN

See Also:
  Constant Field Values

### EVT_ACK

    static final short EVT_ACK

See Also:
  Constant Field Values

### EVT_CHECKPOINT

    static final short EVT_CHECKPOINT

See Also:
  Constant Field Values

### EVT_INIT

    static final short EVT_INIT

See Also:
  Constant Field Values

### EVT_SENDSIGN

    static final short EVT_SENDSIGN

See Also:
  Constant Field Values

### EVT_VRF

    static final short EVT_VRF

See Also:
  Constant Field Values

### EVT_CHOOSE_Q

    static final short EVT_CHOOSE_Q

See Also:
  Constant Field Values

### EVT_CHOOSE_RAND

    static final short EVT_CHOOSE_RAND

See Also:
  Constant Field Values

### EVT_MAX_RESERVED

    static final short EVT_MAX_RESERVED

See Also:
  Constant Field Values

### EVT_SOCKET_OPEN_INCOMING

    static final short EVT_SOCKET_OPEN_INCOMING

See Also:
  Constant Field Values

### EVT_SOCKET_OPEN_OUTGOING

    static final short EVT_SOCKET_OPEN_OUTGOING

See Also:
  Constant Field Values

### EVT_SOCKET_OPENED_OUTGOING

    static final short EVT_SOCKET_OPENED_OUTGOING

See Also:
  Constant Field Values

### EVT_SOCKET_EXCEPTION

    static final short EVT_SOCKET_EXCEPTION

See Also:
  Constant Field Values

### EVT_SOCKET_CLOSE

    static final short EVT_SOCKET_CLOSE

See Also:
  Constant Field Values

### EVT_SOCKET_SHUTDOWN_OUTPUT

    static final short EVT_SOCKET_SHUTDOWN_OUTPUT

See Also:
  Constant Field Values

### EVT_SOCKET_CLOSED

    static final short EVT_SOCKET_CLOSED

See Also:
  Constant Field Values

### EVT_SOCKET_CAN_READ

    static final short EVT_SOCKET_CAN_READ

See Also:
  Constant Field Values

### EVT_SOCKET_CAN_WRITE

    static final short EVT_SOCKET_CAN_WRITE

See Also:
  Constant Field Values

### EVT_SOCKET_CAN_RW

    static final short EVT_SOCKET_CAN_RW

See Also:
  Constant Field Values

### EVT_SOCKET_READ

    static final short EVT_SOCKET_READ

See Also:
  Constant Field Values

### EVT_SOCKET_WRITE

    static final short EVT_SOCKET_WRITE

See Also:
  Constant Field Values

### EVT_MIN_SOCKET_EVT

    static final short EVT_MIN_SOCKET_EVT

See Also:
  Constant Field Values

### EVT_MAX_SOCKET_EVT

    static final short EVT_MAX_SOCKET_EVT

See Also:
  Constant Field Values

### EX_TYPE_IO

    static final short EX_TYPE_IO

See Also:
  Constant Field Values

### EX_TYPE_ClosedChannel

    static final short EX_TYPE_ClosedChannel

See Also:
  Constant Field Values

### EX_TYPE_Unknown

    static final short EX_TYPE_Unknown

See Also:
  Constant Field Values

### MSG_USERDATA

    static final short MSG_USERDATA

See Also:
  Constant Field Values

### MSG_ACK

    static final short MSG_ACK

See Also:
  Constant Field Values

### MSG_ACCUSATION

    static final short MSG_ACCUSATION

See Also:
  Constant Field Values

### MSG_CHALLENGE

    static final short MSG_CHALLENGE

See Also:
  Constant Field Values

### MSG_RESPONSE

    static final short MSG_RESPONSE

See Also:
  Constant Field Values

### MSG_AUTHPUSH

    static final short MSG_AUTHPUSH

See Also:
  Constant Field Values

### MSG_AUTHREQ

    static final short MSG_AUTHREQ

See Also:
  Constant Field Values

### MSG_AUTHRESP

    static final short MSG_AUTHRESP

See Also:
  Constant Field Values

### MSG_USERDGRAM

    static final short MSG_USERDGRAM

See Also:
  Constant Field Values

### CHAL_AUDIT

    static final byte CHAL_AUDIT

See Also:
  Constant Field Values

### CHAL_SEND

    static final byte CHAL_SEND

See Also:
  Constant Field Values

### RESP_SEND

    static final byte RESP_SEND

See Also:
  Constant Field Values

### RESP_AUDIT

    static final byte RESP_AUDIT

See Also:
  Constant Field Values

### PROOF_INCONSISTENT

    static final byte PROOF_INCONSISTENT

See Also:
  Constant Field Values

### PROOF_NONCONFORMANT

    static final byte PROOF_NONCONFORMANT

See Also:
  Constant Field Values

### DEFAULT_AUTH_PUSH_INTERVAL_MILLIS

    static final long DEFAULT_AUTH_PUSH_INTERVAL_MILLIS

See Also:
  Constant Field Values

### DEFAULT_CHECKPOINT_INTERVAL_MILLIS

    static final long DEFAULT_CHECKPOINT_INTERVAL_MILLIS

See Also:
  Constant Field Values

### MAINTENANCE_INTERVAL_MILLIS

    static final long MAINTENANCE_INTERVAL_MILLIS

See Also:
  Constant Field Values

### DEFAULT_TIME_TOLERANCE_MILLIS

    static final long DEFAULT_TIME_TOLERANCE_MILLIS

See Also:
  Constant Field Values

### TI_CHECKPOINT

    static final int TI_CHECKPOINT

See Also:
  Constant Field Values

### TI_MAINTENANCE

    static final int TI_MAINTENANCE

See Also:
  Constant Field Values

### TI_AUTH_PUSH

    static final int TI_AUTH_PUSH

See Also:
  Constant Field Values

### TI_MAX_RESERVED

    static final int TI_MAX_RESERVED

See Also:
  Constant Field Values

### TI_STATUS_INFO

    static final int TI_STATUS_INFO

See Also:
  Constant Field Values

### MAX_STATUS_INFO

    static final int MAX_STATUS_INFO

See Also:
  Constant Field Values

### FLAG_INCLUDE_CHECKPOINT

    static final byte FLAG_INCLUDE_CHECKPOINT

See Also:
  Constant Field Values

### FLAG_FULL_MESSAGES_SENDER

    static final byte FLAG_FULL_MESSAGES_SENDER

See Also:
  Constant Field Values

### FLAG_FULL_MESSAGES_ALL

    static final byte FLAG_FULL_MESSAGES_ALL

See Also:
  Constant Field Values

### VALID

    static final int VALID

  Enum for EvidenceTool

  See Also:
    Constant Field Values

### INVALID

    static final int INVALID

See Also:
  Constant Field Values

### CERT_MISSING

    static final int CERT_MISSING

See Also:
  Constant Field Values

### DEFAULT_AUDIT_INTERVAL_MILLIS

    static final long DEFAULT_AUDIT_INTERVAL_MILLIS

See Also:
  Constant Field Values

### PROGRESS_INTERVAL_MILLIS

    static final int PROGRESS_INTERVAL_MILLIS

See Also:
  Constant Field Values

### INVESTIGATION_INTERVAL_MILLIS

    static final int INVESTIGATION_INTERVAL_MILLIS

See Also:
  Constant Field Values

### DEFAULT_LOG_DOWNLOAD_TIMEOUT

    static final int DEFAULT_LOG_DOWNLOAD_TIMEOUT

See Also:
  Constant Field Values

### MAX_WITNESSED_NODES

    static final int MAX_WITNESSED_NODES

See Also:
  Constant Field Values

### MAX_ACTIVE_AUDITS

    static final int MAX_ACTIVE_AUDITS

See Also:
  Constant Field Values

### MAX_ACTIVE_INVESTIGATIONS

    static final int MAX_ACTIVE_INVESTIGATIONS

See Also:
  Constant Field Values

### MAX_ENTRIES_BETWEEN_CHECKPOINTS

    static final int MAX_ENTRIES_BETWEEN_CHECKPOINTS

See Also:
  Constant Field Values

### AUTH_CACHE_INTERVAL

    static final int AUTH_CACHE_INTERVAL

See Also:
  Constant Field Values

### TI_START_AUDITS

    static final int TI_START_AUDITS

See Also:
  Constant Field Values

### TI_MAKE_PROGRESS

    static final int TI_MAKE_PROGRESS

See Also:
  Constant Field Values

### STATE_SEND_AUDIT

    static final int STATE_SEND_AUDIT

See Also:
  Constant Field Values

### STATE_WAIT_FOR_LOG

    static final int STATE_WAIT_FOR_LOG

See Also:
  Constant Field Values

### NO_CERTIFICATE

    static final int NO_CERTIFICATE

See Also:
  Constant Field Values

### SIGNATURE_BAD

    static final int SIGNATURE_BAD

See Also:
  Constant Field Values

### SIGNATURE_OK

    static final int SIGNATURE_OK

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.